Skip to content
View as Markdown

POST Import Data via Driver​

POST
/import/drivers/{driver}

Execute the import process for a specific driver. For the users driver, imports WordPress users as contacts in batches. For other drivers, the import behavior is determined by the driver's filter hook. Call repeatedly with incrementing importing_page until has_more is false.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

driver*

Import driver identifier (e.g., users).

Type
string
Required

Request Body​

application/json
JSON
{
"config": {
"roles": [
"string"
],
"tags": [
0
],
"lists": [
0
],
"status": "string",
"update": "string",
"double_optin_email": "string",
"import_silently": "string"
},
"importing_page": 1
}

Responses​

Batch import result.

application/json
JSON
{
"page_total": 0,
"record_total": 0,
"has_more": true,
"current_page": 0,
"next_page": 0
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI